> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

> Delete a game_server entity.

Allowed entity token types: title, game_server



## OpenAPI

````yaml /services/playfab/api-references/rest/authentication/authentication.openapi.json post /GameServerIdentity/Delete
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Authentication API
  description: >-
    The Authentication APIs provide a convenient way to convert classic
    authentication responses into entity authentication models. These APIs will
    provide you with the entity authentication token needed for subsequent
    Entity API calls. The game_server API is designed to create uniquely
    identifiable game_server entities. The game_server Entity token can be used
    to call Matchmaking Lobby and Pubsub for server scenarios.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Authentication
    description: Authentication APIs
paths:
  /GameServerIdentity/Delete:
    post:
      tags:
        - Authentication
      summary: Delete
      description: |-
        Delete a game_server entity.

        Allowed entity token types: title, game_server
      operationId: Delete
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteRequest'
        description: >-
          Delete a game_server entity. The caller can be the game_server entity
          attempting to delete itself. Or a title entity attempting to delete
          game_server entities for this title.
      responses:
        '200':
          $ref: '#/components/responses/EmptyResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    DeleteRequest:
      description: >-
        Delete a game_server entity. The caller can be the game_server entity
        attempting to delete itself. Or a title entity attempting to delete
        game_server entities for this title.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Entity:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The game_server entity to be removed.
      required:
        - Entity
      example:
        Entity:
          Id: 3D00C64954
          Type: game_server
          TypeString: game_server
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    EmptyResponse:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    EmptyResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/EmptyResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Delete](/services/playfab/api-references/rest/authentication/authentication/delete.md)
- [Delete Task](/services/playfab/api-references/rest/admin/scheduledtask/delete-task.md)
- [Delete Group](/api-reference/groups/delete-group.md)
- [Delete Experiment](/api-reference/experimentation/delete-experiment.md)
- [Delete Player](/services/playfab/api-references/rest/admin/account-management/delete-player.md)
